Bug 829402 - Review Request: jbosgi-vfs - JBoss OSGi Virtual File System
Review Request: jbosgi-vfs - JBoss OSGi Virtual File System
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patryk Obara
Fedora Extras Quality Assurance
:
Depends On: 829329
Blocks: 830125 830677 830750 830763 832439 832446
  Show dependency treegraph
 
Reported: 2012-06-06 11:42 EDT by Marek Goldmann
Modified: 2013-03-13 00:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 23:35:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pobara: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2012-06-06 11:42:18 EDT
Spec URL: http://goldmann.fedorapeople.org/package_review/jbosgi-vfs/1.1.2-0.1.CR1/jbosgi-vfs.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jbosgi-vfs/1.1.2-0.1.CR1/jbosgi-vfs-1.1.2-0.1.CR1.fc17.src.rpm
Description: This package contains the JBoss OSGi Virtual File System
Fedora Account System Username: goldmann
Comment 2 Patryk Obara 2012-06-12 08:28:23 EDT
Above URLs should be slightly different:

http://goldmann.fedorapeople.org/package_review/jbosgi-vfs/1.12.-0.2.CR1/jbosgi-vfs.spec
http://goldmann.fedorapeople.org/package_review/jbosgi-vfs/1.12.-0.2.CR1/jbosgi-vfs-1.1.2-0.2.CR1.fc17.src.rpm

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
$ rpmlint jbosgi-vfs.spec 
jbosgi-vfs.spec: W: invalid-url Source0: jbosgi-vfs-1.1.2.CR1.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint jbosgi-vfs-1.1.2-0.1.CR1.fc17.src.rpm
jbosgi-vfs.src: W: spelling-error Summary(en_US) JBoss -> J Boss, Boss
jbosgi-vfs.src: W: invalid-url URL: http://www.jboss.org/ HTTP Error 403: Forbidden
jbosgi-vfs.src: W: invalid-url Source0: jbosgi-vfs-1.1.2.CR1.tar.xz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type:
[!]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[!]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : cd7d76b75591c1afdb9e281c15d79a8a
MD5SUM upstream package: cd7d76b75591c1afdb9e281c15d79a8a

[ ]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[ ]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4154515

=== Issues ===
1. LICENSE.txt is not included in packages, despite being present in source dir

=== Notest ===
URL in spec is quite general; how about changing it to https://community.jboss.org/en/jbossosgi?
Comment 3 Patryk Obara 2012-06-12 08:32:05 EDT
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Reviewer should test that the package builds in mock.
(build succeeded)
Comment 5 Patryk Obara 2012-06-18 06:47:19 EDT
================
*** APPROVED ***
================
Comment 6 Marek Goldmann 2012-06-18 07:18:23 EDT
New Package SCM Request
=======================
Package Name: jbosgi-vfs
Short Description: JBoss OSGi Virtual File System
Owners: goldmann
Branches: f17
Comment 7 Gwyn Ciesla 2012-06-18 09:03:25 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-06-18 09:33:43 EDT
jbosgi-vfs-1.1.2-0.3.CR1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jbosgi-vfs-1.1.2-0.3.CR1.fc17
Comment 9 Fedora Update System 2012-06-19 11:07:52 EDT
jbosgi-vfs-1.1.2-0.3.CR1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-06-27 23:35:10 EDT
jbosgi-vfs-1.1.2-0.3.CR1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.